Bug 874809 - authconfig does not add autofs to services
authconfig does not add autofs to services
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-08 16:03 EST by Orion Poplawski
Modified: 2013-03-26 16:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: authconfig-6.2.5-1.fc18.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-26 16:38:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2012-11-08 16:03:55 EST
Description of problem:

F18 install with:

authconfig --enablemd5 --enableshadow --enableldap --ldapserver=ldap.cora.nwra.com,ldap2.cora.nwra.com --ldapbasedn=dc=nwra,dc=com --enableldaptls --ldaploadcacert=http://www.cora.nwra.com/cgi-bin/getca.pl --enablekrb5 --krb5kdc=kerberos.cora.nwra.com,kerberos2.cora.nwra.com --krb5adminserver=kerberos.cora.nwra.com --krb5realm=CORA.NWRA.COM

It configures sss for automount in nsswitch.conf and adds an [autofs] section to sssd.conf, but does not add "autofs" to the list of services:

[sssd]
services = nss, pam

Version-Release number of selected component (if applicable):
authconfig-6.2.4-2.fc18.x86_64
Comment 1 Orion Poplawski 2012-11-08 16:17:15 EST
I'm not sure this is appropriate for authconfig, but we will need to configure sssd.conf to set:

ldap_autofs_search_base = dc=cora,dc=nwra,dc=com

in the [domain/default] section as well.  It would be convenient to be able to set that with authconfig like we set the overall ldap_search_base with --ldapbasedn.
Comment 2 Tomas Mraz 2012-12-05 11:01:58 EST
Is it a common requirement to set the ldap_autofs_search_base differently from the ldap_search_base? And does SSSD default to use the ldap_search_base if ldap_autofs_search_base is not set?
Comment 3 Orion Poplawski 2012-12-05 11:11:50 EST
I really can't speak to how common it is.  In our company's case we have multiple locations sharing common user area in "dc=nwra,dc=com", but each office has it's own automount maps for the local network configuration.

My understanding is that it defaults to ldap_search_base if ldap_autofs_search_base is not set.
Comment 4 Tomas Mraz 2013-03-26 16:38:51 EDT
Fixed, however we don't set the ldap_autofs_search_base for now.

Note You need to log in before you can comment on or make changes to this bug.